probe::tcp.receive
Prev | Chapter 13. Networking Tapset | Next

## Name

probe::tcp.receive — Called when a TCP packet is received

## Synopsis

    tcp.receive

## Values

`sport`

  TCP source port

`family`

  IP address family

`psh`

  TCP PSH flag

`dport`

  TCP destination port

`protocol`

  Packet protocol from driver

`rst`

  TCP RST flag

`syn`

  TCP SYN flag

`daddr`

  A string representing the destination IP address

`urg`

  TCP URG flag

`fin`

  TCP FIN flag

`name`

  Name of the probe point

`iphdr`

  IP header address

`saddr`

  A string representing the source IP address

`ack`

  TCP ACK flag

Prev | Up | Next
probe::tcp.disconnect.return | Home | probe::tcp.recvmsg